Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 894100 - Review Request: php-pear-File-Fstab - Read and write fstab files
Review Request: php-pear-File-Fstab - Read and write fstab files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 12:32 EST by Remi Collet
Modified: 2013-01-29 14:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 20:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review results (6.62 KB, text/plain)
2013-01-11 02:40 EST, Johan Cwiklinski
no flags Details

  None (edit)
Description Remi Collet 2013-01-10 12:32:44 EST
Spec URL: https://raw.github.com/remicollet/remirepo/1eff2458ecb9eb1b73218a4888dcba0a6766e802/php/horde/php-horde-horde/php-horde-horde.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-File-Fstab-2.0.3-1.remi.src.rpm
Description: 
File_Fstab is an easy-to-use package which can read & write UNIX fstab
files. It presents a pleasant object-oriented interface to the fstab.
Features:
* Supports blockdev, label, and UUID specification of mount device.
* Extendable to parse non-standard fstab formats by defining a new Entry
class for that format.
* Easily examine and set mount options for an entry.
* Stable, functional interface.
* Fully documented with PHPDoc.

Fedora Account System Username: remi
Comment 1 Remi Collet 2013-01-10 12:36:19 EST
Sorry,
Spec URL: https://raw.github.com/remicollet/remirepo/1eff2458ecb9eb1b73218a4888dcba0a6766e802/php/pear/php-pear-File-Fstab/php-pear-File-Fstab.spec


Notes : 
- target Fedora, EL-5, EL-6
- new dependency of horde 5.0.3
Comment 2 Johan Cwiklinski 2013-01-11 02:40:09 EST
Created attachment 676697 [details]
fedora-review results
Comment 3 Johan Cwiklinski 2013-01-11 02:43:11 EST
Here is the phpci extensions report output:
BASE: /home/builder/894100-php-pear-File-Fstab/srpm-unpacked/File_Fstab-2.0.3
-------------------------------------------------------------------------------
PHP COMPAT INFO EXTENSION SUMMARY
-------------------------------------------------------------------------------
  EXTENSION                             EXT min/Max       PHP min/Max     COUNT
-------------------------------------------------------------------------------
  Core                                  4.0.0             4.0.0              31
  pcre                                  0.0               4.0.0               2
  standard                              4.0.7             4.0.0              18
-------------------------------------------------------------------------------
A TOTAL OF 3 EXTENSIONS WERE FOUND
REQUIRED PHP 4.0.0 (MIN)
Comment 4 Johan Cwiklinski 2013-01-11 02:47:56 EST
php-common requirement is a false positive here. Requires are correct.

Package traball is missing LICENSE file, but that is already reported upstream, and LICENSE file is provided.

Issues that has been fixed in the specfile has been reported upstream.

Well, guidelines are followed, no blocker :)

***** APPROVED *****
Comment 5 Remi Collet 2013-01-11 02:51:17 EST
Thanks for the fast review.


New Package SCM Request
=======================
Package Name: php-pear-File-Fstab
Short Description: Read and write fstab files
Owners: remi
Branches: f17 f18 el5 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-01-11 09:40:21 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-11 10:14:56 EST
php-pear-File-Fstab-2.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-File-Fstab-2.0.3-1.fc18
Comment 8 Fedora Update System 2013-01-11 10:16:08 EST
php-pear-File-Fstab-2.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pear-File-Fstab-2.0.3-1.fc17
Comment 9 Fedora Update System 2013-01-11 10:20:49 EST
php-pear-File-Fstab-2.0.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-File-Fstab-2.0.3-1.el5
Comment 10 Fedora Update System 2013-01-11 10:21:38 EST
php-pear-File-Fstab-2.0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-File-Fstab-2.0.3-1.el6
Comment 11 Fedora Update System 2013-01-12 10:02:53 EST
php-pear-File-Fstab-2.0.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2013-01-22 20:28:17 EST
php-pear-File-Fstab-2.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2013-01-22 20:42:56 EST
php-pear-File-Fstab-2.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-01-29 14:59:03 EST
php-pear-File-Fstab-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-01-29 14:59:23 EST
php-pear-File-Fstab-2.0.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.